%define base_name	analog

%define php_libdir %{_datadir}/php

%define __requires_exclude_from ^%{_datadir}/.*$

Name:		php-%{base_name}
Version:	1.0.19
Release:	%mkrel 1
Summary:	PHP micro logging package
License:	MIT
Group:		Development/PHP
URL:		https://github.com/jbroadway/analog
Source:     https://github.com/jbroadway/analog/archive/refs/tags/%{version}-stable.tar.gz
# composer.json
Requires:   php >= 5.3.2
Requires:   php-composer(psr/log)
# phpcompatinfo report
Requires:   php-curl
Requires:   php-json
Requires:   php-pcre
Requires:   php-xml
# autoloader
Requires:   php-composer(fedora/autoloader)
Provides:   php-composer(analog/analog) = %{version}
BuildArch:  noarch

%description
A MicroPHP logging package based on the idea of using closures for
configurability and extensibility. It functions as a static class, but you can
completely control the writing of log messages through a closure function (aka
anonymous functions), or use the Analog\Logger wrapper that implements the
PSR-3 specification.

Autoloader: %{php_libdir}/Analog/autoload.php

%prep
%setup -q -n analog-%{version}-stable

%build

%install
install -d -m 755 %{buildroot}%{php_libdir}
cp -pr lib/Analog %{buildroot}%{php_libdir}/

cat > %{buildroot}%{php_libdir}/Analog/autoload.php << 'EOF'
<?php
/* Autoloader for %{name} and its dependencies */

require_once '%{_datadir}/php/Fedora/Autoloader/autoload.php';

\Fedora\Autoloader\Autoload::addPsr4('Analog\\', __DIR__);
\Fedora\Autoloader\Dependencies::required(array(
        '%{_datadir}/php/Psr/Log/autoload.php',
));
EOF

%files
%doc README.md LICENSE examples
%{php_libdir}/Analog


%changelog
* Tue Apr 19 2022 mokraemer <mokraemer> 1.0.19-1.mga9
+ Revision: 1851841
- new version 1.0.19

* Mon Mar 21 2022 umeabot <umeabot> 1.0.10-6.mga9
+ Revision: 1810717
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.0.10-5.mga8
+ Revision: 1507220
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.0.10-4.mga7
+ Revision: 1287644
- Mageia 7 Mass Rebuild

* Thu Oct 05 2017 guillomovitch <guillomovitch> 1.0.10-3.mga7
+ Revision: 1168994
- fix dependencies

* Wed Oct 04 2017 guillomovitch <guillomovitch> 1.0.10-2.mga7
+ Revision: 1168847
- misc cosmetics spec enhancements

* Tue Oct 03 2017 guillomovitch <guillomovitch> 1.0.10-1.mga7
+ Revision: 1167983
- new version 1.0.10

* Thu Feb 18 2016 umeabot <umeabot> 1.0.7-2.mga6
+ Revision: 966023
- Mageia 6 Mass Rebuild

* Mon Jun 22 2015 guillomovitch <guillomovitch> 1.0.7-1.mga6
+ Revision: 839506
- new version 1.0.7

* Wed Oct 15 2014 umeabot <umeabot> 1.0.4-4.mga5
+ Revision: 742804
- Second Mageia 5 Mass Rebuild

* Thu Sep 25 2014 guillomovitch <guillomovitch> 1.0.4-3.mga5
+ Revision: 724655
- fix automatic dependencies

* Tue Sep 16 2014 umeabot <umeabot> 1.0.4-2.mga5
+ Revision: 687095
- Mageia 5 Mass Rebuild

* Thu May 29 2014 guillomovitch <guillomovitch> 1.0.4-1.mga5
+ Revision: 627538
- new version 1.0.4

* Sat Oct 19 2013 umeabot <umeabot> 1.0.3-2.mga4
+ Revision: 528341
- Mageia 4 Mass Rebuild

* Mon Jun 17 2013 guillomovitch <guillomovitch> 1.0.3-1.mga4
+ Revision: 444260
- imported package php-analog

